
Core - Task # 29090

Status: Closed Priority: Could have
Author: Björn Pedersen Category: Content Rendering
Created: 2011-08-18 Assigned To:
Updated: 2015-01-13 Due date:
TYPO3 Version: 4.7
PHP Version:
Complexity: hard
Sprint Focus:
Subject: Clean up the rendering process.
Description

After looking at the comments for http://forge.typo3.org/issues/29041 and the related code, it seems that the whole rendering process
is rather convoluted and probably needs some stream-lining.

Target probably will be 4.7  or 4.8.

Main aim of this report is to serve as a TODO-reminder.

Related issues:
related to Core - Task # 31461: The Big Cleanup 4.7 Resolved 2012-02-19 2012-02-20

History
#1 - 2011-08-19 08:59 - Björn Pedersen

Some things which I stumbled upon:

    -  $GLOBALS['TSFE']->INTincScript_loadJSCode(); is only called in tslib_pagegen::renderContentWithHeader and can only be called there as the
variables that are set are unset there prior to any other use.

    -  There are to many vars where header content is collected. 
       Suggestion: use  arrays to collect all header parts:              
               css
               js
               meta
               links

#2 - 2011-08-30 19:02 - Andreas Wolf
- Category set to Content Rendering
- Complexity set to hard

#3 - 2012-03-05 17:37 - Steffen Ritter
- Target version deleted (4.7.0)

#4 - 2015-01-13 08:34 - Mathias Schreiber
- Status changed from New to Closed
- Remaining (hours) deleted (80.0)

This is the scope of the sprint focus of 7.2, so I'm closing this one down.
